Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## speech
Class QuestionSelectionArea

    java.lang.Object
      speech.QuestionSelectionArea

All Implemented Interfaces:
  java.io.Serializable

    public class QuestionSelectionArea

extends java.lang.Object
implements java.io.Serializable

This class represents the area that displays the questions for a dialog.

Author:
  Frank Bruns
See Also:
  Serialized Form

Constructor Summary
`QuestionSelectionArea(Player player, com.golden.gamedev.engine.BaseInput bsInput)` The dialog of that the questions shall be displayed in the question selection area

Method Summary
`void` | `addDialog(Dialog dialog)` Adds a dialog to the set of dialogs for the player
`Dialog` | `getDialog(java.lang.String name)` Returns the dialog with the specified name
`void` | `render(java.awt.Graphics2D g)` Renders the question selection area and the according questions to screen
`void` | `setDialog(java.lang.String dialogName)` Sets the dialog for the question selection area
`void` | `update(long elapsedTime)` Updates the question selection area, especially checks for a picked question

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuestionSelectionArea

    public QuestionSelectionArea(Player player,
                                 com.golden.gamedev.engine.BaseInput bsInput)

  The dialog of that the questions shall be displayed in the question selection area

  Parameters:
    `player` - player object
    `bsInput` -

Method Detail

### addDialog

    public void addDialog(Dialog dialog)

  Adds a dialog to the set of dialogs for the player

  Parameters:
    `dialog` - dialog to add to the set of dialogs

### setDialog

    public void setDialog(java.lang.String dialogName)

  Sets the dialog for the question selection area

  Parameters:
    `dialogName` - dialog to set identified by its name

### getDialog

    public Dialog getDialog(java.lang.String name)

  Returns the dialog with the specified name

  Parameters:
    `name` - identifying name of the sought dialog
  Returns:
    dialog with the specified name

### update

    public void update(long elapsedTime)

  Updates the question selection area, especially checks for a picked question

  Parameters:
    `elapsedTime` - time between two frames

### render

    public void render(java.awt.Graphics2D g)

  Renders the question selection area and the according questions to screen

  Parameters:
    `g` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD